* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

@font-face {
  font-family: 'Avaneonz';
  src: url('../fonts/Avaneonz.ttf') format('truetype');

  font-family: 'Naive Deco Sans Double';
  src: url('../fonts/naive-deco-sans-double.otf') format('opentype');

}

html {
  scroll-behavior: smooth;
}

body {
  margin: 0;
  padding: 0;
  overflow-x: hidden;
}

::-webkit-scrollbar {
  width: 5px;
}

::-webkit-scrollbar-thumb {
  width: 5px;
  background: #001E36;
  border-radius: 7000px;
}

main {
  padding: 20px;
}

#form-section {
  max-width: 600px;
  margin: 0 auto;
  font-family: "Poppins", sans-serif;
  font-weight: 400;
  font-style: normal;
}

.form-group {
  margin-bottom: 20px;
}

label {
  display: block;
  margin-bottom: 5px;
}

input[type="text"],
input[type="email"],
input[type="tel"],
textarea {
  width: 100%;
  padding: 10px;
  font-size: 16px;
  border: 1px solid #ccc;
  border-radius: 5px;
}

button {
  background-color: #333;
  color: #fff;
  padding: 10px 20px;
  border: none;
  border-radius: 5px;
  cursor: pointer;
}

button:hover {
  background-color: #000;
}


/* navbar */

header {
  background-color: #001E36;
  box-shadow: 0px 3px 10px #464646;
}

.nav-bar {
  display: flex;
  justify-content: space-between;
  padding: 1.5rem 6rem;
}

.logo {
  display: flex;
  align-items: center;
}

.logo h1 {
  color: #fff;
  font-family: 'Naive Deco Sans Double';
}

.nav-list {
  display: flex;
  align-items: center;
}

.nav-list ul {
  display: flex;
  justify-content: center;
  list-style: none;
}

.nav-item {
  margin: 0 15px;
}

.nav-link {
  text-decoration: none;
  font-size: 1.15rem;
  color: #fff;
  font-weight: 400;
  font-family: "Poppins", sans-serif;
  font-style: normal;
  transition: 0.6s cubic-bezier(0.68, -0.55, 0.27, 1.55);
}

nav .nav-link:hover {
  background-color: #cfa32a;
  border-radius: 5px;
  padding: 5px 10px;
}


.login-button button {
  border: none;
  padding: 10px 15px;
  border-radius: 5px;
  background-color: #cfa32a;
}

.login-button button::before {
  content: "\f2f6";
  font-family: "Font Awesome 5 Free";
  font-weight: 900;
  margin-right: 10px;
}


.login-button button a {
  text-decoration: none;
  color: #fff;
  font-weight: 500;
  font-size: 1.1rem;
}

.mobile-menu-icon {
  display: none;
}

.mobile-menu {
  display: none;
}

@media screen and (max-width: 730px) {
  .nav-bar {
    padding: 1.5rem 4rem;
  }

  .nav-item {
    display: none;
  }

  .login-button {
    display: none;
  }

  .mobile-menu-icon {
    display: block;
  }

  .mobile-menu-icon button {
    background-color: transparent;
    border: none;
    cursor: pointer;
  }

  .mobile-menu ul {
    display: flex;
    flex-direction: column;
    text-align: center;
    padding-bottom: 1rem;
  }

  .mobile-menu .nav-item {
    display: block;
    padding-top: 1.2rem;
  }

  .mobile-menu .login-button {
    display: block;
    padding: 1rem 2rem;
  }

  .mobile-menu .login-button button {
    width: 100%;
  }

  .open {
    display: block;
  }

  .logo h1 {
    font-size: 19px;
  }

}



/* banner */

.banner {
  background-image: url('../image/banner.png');
  background-size: cover;
  background-position: center;
  height: 500px;
  display: flex;
  justify-content: center;
  align-items: center;
  color: #fff;
  text-align: center;
  opacity: 1.0;
}

.banner h1 {
  font-size: 50px;
  color: rgb(255, 255, 255);
  font-family: "Poppins", sans-serif;
  font-weight: 600;
  font-style: normal;
}

.banner p {
  font-size: 20px;
  color: #e7bd03;
  font-family: "Poppins", sans-serif;
  font-weight: 400;
  font-style: normal;
}



.banner button a {
  text-decoration: none;
  color: #fff;
}

.banner h1,
.banner p {
  margin-bottom: 20px;
}

.banner button {
  background-color: #cfa32a;
  color: #fff;
  padding: 10px 20px;
  border: none;
  border-radius: 5px;
  cursor: pointer;
  font-family: "Poppins", sans-serif;
  font-weight: 600;
  font-style: normal;
  font-size: 20px;
  animation: alternate 1s infinite;
  transition: 0.5s ease all 0s; 
}

.banner button::after {
  content: "\f105";
  font-family: "Font Awesome 5 Free";
  font-weight: 900;
  margin-left: 10px;
}

.banner button:hover {
  background-color: #000000;
}



@media screen and (max-width: 768px) {
  .banner h1 {
    font-size: 25px;
  }

  .banner p {
    font-size: 10px;
  }

  .banner button {
    font-size: 16px;
  }

}

/* services */

/* Estilos para o layout responsivo */
.card-container {
  flex-wrap: wrap;
  justify-content: center;
  gap: 20px;
  padding: 20px;
  display: flex;
}

.serviços {
  background-color: #d4d4d4;
  padding: 50px 0;
}

.title {
  font-size: 3em;
  color: #333;
  margin-bottom: 20px;
  font-family: "Poppins", sans-serif;
  font-weight: 600;
  font-style: normal;
  text-align: center;
  padding: 20px;
}

.card {
  width: 300px;
  background-color: #001E36;
  border-radius: 10px;
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
  overflow: hidden;
}

.card img {
  height: 60px;
  margin: 15px;
  object-fit: cover;
}

.card-content {
  padding: 20px;
}

.card-content h3 {
  margin-top: -30px;
  font-size: 1.5em;
  color: #fff;
  margin-bottom: 10px;
  font-family: "Poppins", sans-serif;
  font-weight: 600;
  font-style: normal;
}

.card-content p {
  color: #ffbb00;
  font-family: "Poppins", sans-serif;
  font-weight: 400;
  font-style: normal;
}

@media (max-width: 768px) {
  .card {
    width: 100%;
  }
}

/* Sobre Nós */

.about {
  background-color: #f4f4f4;
  padding: 50px 0;
  margin-top: -40px;
}

.container {
  max-width: 1200px;
  margin: 0 auto;
  padding: 0 50px;
}

.about-content {
  display: flex;
  flex-direction: column;
  align-items: center;
}

.titlee {
  font-size: 3em;
  color: #333;
  margin-bottom: 20px;
  font-family: "Poppins", sans-serif;
  font-weight: 600;
  font-style: normal;
  text-align: center;
  margin: 20px;
}

.about-content img {
  max-width: 250px;
  height: auto;
  margin-bottom: 20px;
  background-color: #001E36;
  border-radius: 20px;
}

.about-content p {
  margin: 20px;
  font-family: "Poppins", sans-serif;
  font-weight: 400;
  font-style: normal;
  font-size: 1.1em;
}



@media screen and (min-width: 768px) {
  .about-content {
    flex-direction: row;
    justify-content: space-between;
    align-items: flex-start;
  }

  .about-content img {
    margin-right: 20px;
    margin-bottom: 0;
  }

  .about-content p {
    max-width: 60%;
    font-size: 15px;
    text-align: justify;
  }




}



/* FOOTER */
footer {
  background: #001E36;
  width: 100vw;
  font-family: "Open Sans";
  padding-top: 40px;
  color: #fff;
}

.footer-content {
  display: flex;
  align-items: center;
  justify-content: center;
  flex-direction: column;
  text-align: center;
}

.footer-content h3 {
  font-size: 1.8rem;
  font-weight: 400;
  text-transform: capitalize;
  line-height: 3rem;
  font-family: 'Naive Deco Sans Double';
}

.footer-content img {
  width: 90px;
}

.footer-content p {
  max-width: 500px;
  margin: 10px auto;
  line-height: 28px;
  font-size: 14px;
  font-family: "Poppins", sans-serif;
}

.socials {
  list-style: none;
  display: flex;
  align-items: center;
  justify-content: center;
  margin: 1rem 0 3rem 0;
}

.socials li {
  margin: 0 10px;
}

.socials a {
  text-decoration: none;
  color: #fff;
}

.socials a i {
  font-size: 1.1rem;
  transition: color .4s ease;

}

.socials a:hover i {
  color: #cfa32a;
}

.footer-bottom {
  background: #cfa32a;
  width: 100vw;
  padding: 20px 0;
  text-align: center;
}

.footer-bottom p {
  color: #000;
  font-size: 14px;
  word-spacing: 2px;
  text-transform: capitalize;
  font-family: "Poppins", sans-serif;
  font-weight: 600;
}

/* Galeria */

.Galeria {
  background-color: #d4d4d4;
  margin-top: 50px;
  padding: 50px 0;
}


.Galeria .title2 {
  font-size: 3.5em;
  color: #333;
  margin-bottom: 20px;
  font-family: "Poppins", sans-serif;
  font-weight: 600;
  font-style: normal;
  text-align: center;
  padding: 20px;
}

.gallery {
  display: grid;
  grid-template-columns: repeat(auto-fill, minmax(300px, 1fr));
  gap: 20px;
  padding: 20px;
  margin: 0 190px;
}


.gallery img {
  width: 100%;
  height: 85%;
  object-fit: cover;
  border-radius: 10px;
  animation: fadeIn 1s;
}

@keyframes fadeIn {
  from {
    opacity: 0;
  }

  to {
    opacity: 1;
  }
}

/* Estilos para o layout responsivo */
@media (max-width: 768px) {
  .gallery {
    margin: 0 20px;
  }
}

.hidden {
  opacity: 0;
  filter: blur(15px);
  transform: translateX(-100%);
  transition: all 2s;
}

.show {
  opacity: 1;
  filter: blur(0);
  transform: translateX(0) ;
  transition: all 2s;
}

